Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Sbrk_Memory_Pool.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/ACE.h"`
`#include "ace/os_include/sys/os_mman.h"`

Include dependency graph for Sbrk_Memory_Pool.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Sbrk_Memory_Pool_Options
| Helper class for Sbrk Memory Pool constructor options. More...
class | ACE_Sbrk_Memory_Pool
| Make a memory pool that is based on <sbrk(2)>. More...

## Detailed Description

Id
  Sbrk_Memory_Pool.h,v 4.6 2005/11/26 03:13:13 ossama Exp

Author:
  Dougls C. Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@cs.wustl.edu>